{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}

{% block stylesheet %}

<link href="{% static 'css/plugins/sweetalert/sweetalert.css' %}" rel="stylesheet">
<link href="{% static 'css/animate.css' %}" rel="stylesheet">
<link href="{% static 'css/style.css' %}" rel="stylesheet">

{% endblock stylesheet  %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Lista de Rúbricas-ABET" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Planificación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Lista de Rúbricas-ABET" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title navy-bg">
                <h5 style="font-size:20px;">Rúbricas-ABET Activas</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
               <div class="row center-block">
                   <div class="col-md-11">
                        <input type="text" class="form-control input-sm m-b-xs" id="filter" placeholder="Buscar abet">                       
                   </div>
                   <div class="col-md-1">
                        <a href="{% url 'planning_abet_rubric_add' %}" class="btn btn-primary btn-sm"><i class="fa  fa-plus"></i> Agregar</a>                       
                   </div>
               </div>
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Titulo</th>
                            <th>Asignatura</th>
                            <th>Ultima Edicion</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for rubric in abets_activos %}
                         <tr>
                            <td class="col-md-3">{{rubric.name}}</td>
                            <td class="col-md-3">{{rubric.get_course}}</td>
                            <td class="col-md-3">{{rubric.date}}</td>
                            <td class="col-md-3" style="text-align:left">
                                <a href="{% url 'planning_abet_rubric_details' rubric.pk %}" class="btn btn-success btn-sm"><i class="fa fa-info-circle"></i> Detalles </a>
                                <a href='{% url 'planning_abet_rubric_delete' rubric.pk %}' class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar </a>
                                <button class="btn btn-warning btn-sm abet-deactivate" data-rubricpk={{rubric.pk}}><i class="fa fa-check"></i>Desactivar</button>
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;">Mis Rúbricas-ABET</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
               <div class="row center-block">
                   <div class="col-md-12">
                        <input type="text" class="form-control input-sm m-b-xs" id="filter" placeholder="Buscar rúbrica ">                       
                   </div>
               </div>
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Titulo</th>
                            <th>Carreer</th>
                            <th>Ultima Edicion</th>
                            <th>Acciones</th>

                        </tr>
                        </thead>
                        <tbody>
                       {% for rubric in abets_privados %}
                       <tr>
                            <td class="col-md-4">{{rubric.name}}</td>
                            <td class="col-md-4">{{rubric.carreer}}</td>
                            <td class="col-md-4">{{rubric.date}}</td>
                            <td class="col-md-4" style="text-align:left">
                                <a href="{% url 'planning_abet_rubric_details' rubric.pk %}" class="btn btn-success btn-sm"><i class="fa fa-info-circle"></i> Detalles </a>
                                <a href="{% url 'planning_abet_rubric_delete' rubric.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar </a>
                                <a type='btton' class='btn btn-sm btn-primary' data-toggle='modal' data-target='#modal_activate' data-carreerpk={{rubric.carreer.pk}} data-rubricpk={{rubric.pk}}>
                                    Activar
                                    <i class='fa fa-check' style='color:white'></i>
                                </a>
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Modal Activacion -->
<div class="modal fade" id="modal_activate" tabindex="-1" role="dialog" aria-labelledby="activateModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-primary">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h6 class="text-center">Activacion de rubrica-abet</h6>
            </div>
            <div class="modal-body">
                <h4> Elija la Asignatura a la que quiera vincular la rubrica: </h4>
                <hr>
                <div>{{form.subject|bootstrap}}</div>
            </div>
            <hr>
            <div class="modal-footer bg-primary">
                <button type="button" class="btn btn-primary" data-dismiss="modal" id="accept_activation" >Aceptar</button>
            </div>
        </div>
    </div>
</div>
<!-- End Modal -->

{% endblock content %}

{% block javascript %}
<script>
    
$(document).ready(function() {
    
    $('.abet-deactivate').click(function () {
        var rubricpk = $(this).data('rubricpk');
        data = {
            rubric_pk: rubricpk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
            };

        swal({
            title: "Esta por desactivar una rubrica-abet",
            text: "Se desvinculara la rubrica de la asignatura designada, ¿esta seguro?",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "Si, estoy seguro.",

        }, function () {
            $.post("{% url 'planning_abet_rubric_deactivate' %}", data,function(response){
                location.reload();
            })
        });
    });

    $('#modal_activate').on('show.bs.modal', function (event) {

        var button = $(event.relatedTarget) // Button that triggered the modal     
        var carreer_pk = button.data('carreerpk');

        data = {

            carreer_pk: carreer_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}'

        };

        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'get_carreer_subject' %}",
            data: data,

            success: function(data){
                $("#id_subject").html(data.subjects)
            },

        });
        rubric_pk = button.data('rubricpk'); // Extract info from data-* attributes
        var modal = $(this);
        // moredata: 'moredata',
    });

    $('#accept_activation').on('click', function (event){

        var course_pk = $('#id_subject').val();
        data = {
            rubric_pk: rubric_pk,
            course_pk: course_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        };

        $.post("{% url 'planning_abet_rubric_activate' %}",data,function(response){
            location.reload();
        });
    });

});

</script>
{% endblock javascript %}
